=== debian/changelog ===
ros-indigo-motoman-driver (0.3.7-0trusty) trusty; urgency=high

  * Add dep on std_srvs. Fix #159 <https://github.com/ros-industrial/motoman/issues/159>.
  * Contributors: Shaun Edwards, gavanderhoorn

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Tue, 21 Mar 2017 05:00:00 -0000

ros-indigo-motoman-driver (0.3.6-0trusty) trusty; urgency=high

  * v1.3.7 MotoROS Driver
    Based on updates from Rosen Diankov (Mujin):
    > Detection of "energy savings" mode.
    > Fix support for R3 and R4 robots.
    > Add function to read torque values. (Not implemented in messaging
    yet.)
    > Improve detection of robot's starting position.
    > Allow for multiple packets to be received in single Recv command.
    > Add command for servo power.
    > Add command to clear alarms/errors.
  * driver: fix whitespace inconsistencies in launch files. (#120 <https://github.com/ros-industrial/motoman/issues/120>)
  * driver: update err msg displayed when 'port' param is not found. (#119 <https://github.com/ros-industrial/motoman/issues/119>)
    IP doesn't have any 'ports', only TCP has those.
  * v1.3.5 MotoROS Driver (#114 <https://github.com/ros-industrial/motoman/issues/114>)
    * v1.3.5 MotoROS Driver
    Update prevents error that would occur if the user's robot controller
    has more control-groups than what is supported by MotoROS and ROS-I.
  * v1.3.6 MotoROS Driver
    Force user to acknowledge that extra control groups are being ignored.
  * v1.3.5 MotoROS Driver
    Update prevents error that would occur if the user's robot controller
    has more control-groups than what is supported by MotoROS and ROS-I.
  * Contributors: G.A. vd. Hoorn, Patrick Beeson, Shaun Edwards, Ted Miller, gavanderhoorn

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Mon, 20 Mar 2017 05:00:00 -0000

ros-indigo-motoman-driver (0.3.5-0trusty) trusty; urgency=high

  * Cleaned up issues with Changelogs
  * Contributors: Shaun Edwards

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-driver (0.3.4-0trusty) trusty; urgency=high

  * driver: remove deprecated 'robot_interface.launch' file.
    Deprecated since at least Aug-2013 (9acb8550).
  * Support for multiple motion group control
  * v1.3.4 MotoROS driver
    If a multi-group command is being processed, but one of the groups has
    a full queue, it will respond with a proper ROS_RESULT_BUSY message.  To
    keep everything in sync, none of the groups will be processed.
  * v1.3.3 MotoROS driver
    Improved initialization speed on DX200 controllers.
    Updates to the Parameter Extraction library on DX200 allow faster
    reading from the controller at startup.
  * v1.3.0 MotoROS driver - minor bug fix
    Fix expected byte length for multi-group messages
  * v1.3.1 MotoROS driver
    Added assertion to verify axis-type is valid
    Removed commented code line
  * v1.3.0 MotoROS driver
    Add support for linear axes (such as base track).  Linear position
    data in Meters.
    Fix support for external axes on DX100.
    Fix error code returned for an unknown msgType.
    Modified the size verification on ROS_MSG_MOTO_JOINT_TRAJ_PT_FULL_EX
    messages.  You are not required to send data for four groups if you
    system doesn't have that many groups.* correcting comment to match with launch files: dx100 does not use bswap, FS100 does
  * Fix Issue #62 <https://github.com/shaun-edwards/motoman/issues/62>: motoman_driver CMakeLists.txt missing motoman_msgs dependencies
  * v1.2.5 MotoROS driver
    Fix disconnect logic in the State Server
    Fixed issue with re-connecting to the State Server after closing
    multiple concurrent connections.
  * v1.2.4 Update multi-group message id's
  * v1.2.3 Rename subdirectory for DX200 Inform-job
    No change actual job; just to folder structure.
    Corrected ROS_MSG_JOINT_FEEDBACK_EX message.
    This message will only be sent if the controller has more than one
    control-group.
    Single arm systems will not send this message.
  * v1.2.2
    Corrected the ROS_MSG_MOTO_MOTION_REPLY when replying to
    ROS_MSG_JOINT_TRAJ_PT_FULL_EX.  A motion-reply message will be sent for
    each control group affected by the multi-group-motion message.  The
    motion-reply will correctly indicate the control group index for what it
    represents
  * v1.2.1
    Primitive I/O support
    Added custom Motoman-specific message for reading and writing a single
    I/O point in the controller.
    Note: Write-support is limited to only certain addresses in the robot
    controller.  See wiki for details.
    Fixed multiple-arm support for the DX100 controller.
  * v1.2.0
    Add support for multiple control groups.
    Support for SDA robots, or multiple individual robots and/or external
    axes.
    Add new command message for controlling up to 4 groups.
    Add new position-feedback message to send all group data.
    Add compatibility for DX200 controller.
    Convert MotoPlusIDE projects into Visual Studio solution.
    Maintained legacy compatibility for MPIDE.
    Improve I/O feedback signals.
    Allocate additional signals for future expansion.
    Add more cases where feedback signals are used.
    Improve error handling
    Add additional text and I/O feedback in error cases
  * Contributors: Jeremy Zoss, Maarten de Vries, Sachin Chitta, Shaun Edwards, Ted Miller, Thiago de Freitas Oliveira Araujo, gavanderhoorn, thiagodefreitas

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Sun, 03 Jul 2016 05:00:00 -0000

ros-indigo-motoman-driver (0.3.3-0trusty) trusty; urgency=high

  * No changes

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Fri, 07 Feb 2014 06:00:00 -0000

ros-indigo-motoman-driver (0.3.2-0trusty) trusty; urgency=high

  * No changes

 -- Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>  Fri, 31 Jan 2014 06:00:00 -0000


