=== debian/control ===
Source: ros-indigo-motoman-driver
Section: misc
Priority: extra
Maintainer: Jeremy Zoss (Southwest Research Institute) <jeremy.zoss@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-industrial-robot-client, ros-indigo-industrial-utils, ros-indigo-motoman-msgs, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-simple-message, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-trajectory-msgs, ros-indigo-urdf
Homepage: http://ros.org/wiki/motoman_driver
Standards-Version: 3.9.2

Package: ros-indigo-motoman-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-control-msgs, ros-indigo-industrial-msgs, ros-indigo-industrial-robot-client, ros-indigo-industrial-utils, ros-indigo-motoman-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-simple-message, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-trajectory-msgs, ros-indigo-urdf
Description: The motoman driver package includes nodes for interfacing with a motoman industrial robot controllers.
